import React from 'react';
import ReactDOM from 'react-dom';

import { FormBuilder, FormGenerator } from '../src/index';

const saveState = !!window.location.search;
const isPreview = saveState && window.location.search.includes('preview=1');
const state = localStorage.getItem('editor:data');

ReactDOM.render(
    isPreview ? (
        <FormGenerator
            data={saveState && state ? JSON.parse(state) : undefined}
            values={saveState && state ? JSON.parse(state).result : undefined}
            uploadUrl='/api/files'
            downloadUrl={id => `/api/files/${id}/view`}
            onSubmit={result => {
                localStorage.setItem('editor:data', JSON.stringify({
                    ...JSON.parse(state),
                    result,
                }));
            }}
            authParams={{
                access_token: 'eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE3MTE3ODkyNjksImV4cCI6MTcxMTg3NTY2OSwicm9sZXMiOlsiUk9MRV9BRE1JTiIsIlJPTEVfU1VQRVJfQURNSU4iXSwidXNlcm5hbWUiOiJrLnZpdGVldkBhbmNvci5ydSJ9.CUT0Qt9geDf54q2FLabtlT1jEYUEs9UJt6eIFzIUtkelKjdqYDWYspK0ax3StaDJ9uWWVKZ4kfeSpktEBvcyQO0Ys_6ePp8IOCs1z-GQNnCYTjjY1LgxWC25WgfIoYeMqfzFGjJKz26odVvmi78THfZjI7BkuXNzsZ7F3vYBEVIQwhrBjYQBTLYE-KJ9DE4_vFtg-pPBgnEDmqziAHrXJr3c9phcdRRXMRKXo61lekJ9W1VJM3Fo1elSDKzTkuuIc_CK4rzJ5mAj25QZyTlt4teCl4M1pgVOc24AgqKwftlLrLUHA0PqQSm7ppzZ4V-HwuWkS_A-pgPJdNc2e2vsQLySYmdGpFCfy6lS1lIkZrJ_g3pMxbKBbXbwzJOl2kcl_nqieRRGOvIUoPuNMDvBUH1Y_PP_Ai4ymR5wY4fJeksPHztW4SdcSzTlh90_jT1nGT38ce_xB5xteTiKwTnx2YMGClksW9PD-bIdLTJsS4EDK6KWFljMmLU3JClzxiI6f0fyHy-iWG4vsgaT6qBem_NUQ0WsacY02dAGhQfI9aZC0k0qfAq0lSc3V-i5w0dOkjgcAzem4WTqM21EgQVkGfhm7ilrlcwhjz_7iEPV6LBOqjsyvCdm4UdzUbE_Xsc4fLZDnPIh4FQZFrr4HauHGBKPUXiA_zVjQh7AQZnPTS8'
            }}
        />
    ) : (
        <FormBuilder
            uploadUrl='/api/files'
            downloadUrl={id => `/api/files/${id}/view`}
            uploadImages={false}
            withoutUrl={true}
            placeholder='Тестовый выбор'
            submitText='Отправить'
            data={saveState && state ? JSON.parse(state) : undefined}
            onChange={data => saveState && localStorage.setItem('editor:data', JSON.stringify(data))}
            mceOnInit={editor => {
                editor.target.editorCommands.execCommand('fontSize', false, '17px');
            }}
            authParams={{
                access_token: 'eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE3MTE3ODkyNjksImV4cCI6MTcxMTg3NTY2OSwicm9sZXMiOlsiUk9MRV9BRE1JTiIsIlJPTEVfU1VQRVJfQURNSU4iXSwidXNlcm5hbWUiOiJrLnZpdGVldkBhbmNvci5ydSJ9.CUT0Qt9geDf54q2FLabtlT1jEYUEs9UJt6eIFzIUtkelKjdqYDWYspK0ax3StaDJ9uWWVKZ4kfeSpktEBvcyQO0Ys_6ePp8IOCs1z-GQNnCYTjjY1LgxWC25WgfIoYeMqfzFGjJKz26odVvmi78THfZjI7BkuXNzsZ7F3vYBEVIQwhrBjYQBTLYE-KJ9DE4_vFtg-pPBgnEDmqziAHrXJr3c9phcdRRXMRKXo61lekJ9W1VJM3Fo1elSDKzTkuuIc_CK4rzJ5mAj25QZyTlt4teCl4M1pgVOc24AgqKwftlLrLUHA0PqQSm7ppzZ4V-HwuWkS_A-pgPJdNc2e2vsQLySYmdGpFCfy6lS1lIkZrJ_g3pMxbKBbXbwzJOl2kcl_nqieRRGOvIUoPuNMDvBUH1Y_PP_Ai4ymR5wY4fJeksPHztW4SdcSzTlh90_jT1nGT38ce_xB5xteTiKwTnx2YMGClksW9PD-bIdLTJsS4EDK6KWFljMmLU3JClzxiI6f0fyHy-iWG4vsgaT6qBem_NUQ0WsacY02dAGhQfI9aZC0k0qfAq0lSc3V-i5w0dOkjgcAzem4WTqM21EgQVkGfhm7ilrlcwhjz_7iEPV6LBOqjsyvCdm4UdzUbE_Xsc4fLZDnPIh4FQZFrr4HauHGBKPUXiA_zVjQh7AQZnPTS8'
            }}
        />
    ),
    document.getElementById('root')
);
